Subject: Re: 1.3.9: rsync daemon 2.5.1 broken
From: David Starks-Browning <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 7 Feb 2002 19:40:34 +0000

On Thursday 7 Feb 02, Pat writes:
> On Sun, Feb 03, 2002 at 12:37:08PM -0600, Pat wrote:
> > I've installed the latest cygwin 1.3.9 in order to use the rsync daemon.
> > I have a setup that works fine under Solaris and basic mirroring works
> > to my cyginw box.  However when I use the rsync "-backup" option (which tells
> > rsync to save copies of modified files, necessary for incremental backups)
> > rsync backs up all of the files every time...
> 
> I've determined that the problem is more fundamental...  Even without
> the -backup behavior the cygwin rsyncd causes many many files to be
> copied even whn they have not been modified.
> 
> I thought perhaps it was because Win98 would not properly preserve
> ownership or permissions, so I removed those options (stopped using -a)
> and specified only recursion, time stamp, and links.  I also believe that
> directories are not preserved in a case sensitive way (two dirs differing
> only by case cause problems for cygwin), but that is not the issue either...

From the rsync man page:

       --modify-window
              When  comparing  two  timestamps  rsync  treats the
              timestamps as being equal if they  are  within  the
              value  of modify_window. This is normally zero, but
              you may find it useful to  set  this  to  a  larger
              value  in  some  situations.  In  particular,  when
              transferring to/from FAT filesystems  which  cannot
              represent  times  with  a  1 second resolution this
              option is useful.

Try --modify-window=2.  Let us know if that's the right solution.

> Basically I think rsync under cygwin is just behaving badly.

On Win98.  Not Cygwin's fault.

Lapo, that might be a good thing to mention in the
/usr/doc/Cygwin/rsync-<ver>.README file.

David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/